## secvpn 2.11

=== Makefile ===
# secvpn Makefile  

USRSBINS= secvpnmon secvpn
ETCS=     secvpn.conf
LIBS=     secvpn.lib
DOCS=	  doc/commercial doc/examples doc/tcp-over-tcp

all:

clean:

install:
	@cp -r $(DOCS) $(DESTDIR)/usr/share/doc/secvpn
	@cp $(USRSBINS) $(DESTDIR)/usr/sbin/
	@cp ${ETCS} ${DESTDIR}/etc/network/
	@for i in ${ETCS}; do chmod 600 ${DESTDIR}/etc/network/$${i}; done
	@cp ${LIBS} ${DESTDIR}/usr/lib/

=== debian/changelog ===
secvpn (2.11) unstable; urgency=low

  * using debian timeout instead of own secvpn timeout

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Mon,  3 Dec 2001 17:22:31 +0100

secvpn (2.10) unstable; urgency=low

  * using /etc/init.d/secvpn to control /etc/inittab. Closes: #121234
  * using new debhelper version
  * use full path for /sbin/route /sbin/ifconfig /usr/sbin/secvpn, because
    not all versions of ssh have /usr/sbin and /sbin in PATH
  * support multiple LAN-cards in same subnet
  * added timeout and manpage
  * updated commercial contacts

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Fri, 30 Nov 2001 09:01:30 +0100

secvpn (2.02) unstable; urgency=low

  * Build-Depends is now on the right place. Closes: #84642
  * Build-Depends is now on the right place. Closes: #84655
  * Architecture changed from any to all

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Fri, 23 Feb 2001 09:27:06 +0100

secvpn (2.01) unstable; urgency=low

  * New version number indicates that this is a debian-only package.
  * Added build dependancy "debmake". Closes: #78304
  * Performance Tuning. Secvpn now uses ssh blowfish encryption 
    and pppd without compression as default.

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Mon, 22 Jan 2001 09:24:38 +0100

secvpn (1-9) unstable; urgency=low

  * Changed section to non-US/main

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Fri, 10 Nov 2000 20:37:24 +0100

secvpn (1-8) unstable; urgency=low

  * Added documentation tcp-over-tcp
  * Added new option -r

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Thu,  9 Nov 2000 11:34:12 +0100

secvpn (1-7) unstable; urgency=low

  * corrected syntax of some conffiles

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Thu, 12 Oct 2000 10:20:13 +0200

secvpn (1-6) unstable; urgency=low

  * secvpnmon now continues to build connections if one connection does
    not work (changed break to continue)
  * changed  "if [ ... == ... ]; then" to "if [ ... = ... ]; then"
  * added postrm to change /etc/inittab
  * added description
  * T/O_GOOD_ONES will not be overwritten anymore (done by sr@nice.de)
  * manualpage with syntax of secvpn.conf added (done by sr@nice.de)

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Thu,  5 Oct 2000 14:18:27 +0200

secvpn (1-5) unstable; urgency=low

  * Added commercial documentation

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Fri, 18 Aug 2000 11:05:48 +0200

secvpn (1-4) unstable; urgency=low

  * secvpn stop now shuts down ppp-interface before killing pppd
  * secvpn start|stop|routeadd|routdel asks remote pc to do the same
    command, now only to actual connection

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Tue,  1 Aug 2000 15:10:39 +0200

secvpn (1-3) unstable; urgency=low

  * Adding syslog messages

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Fri, 28 Jul 2000 09:46:34 +0200

secvpn (1-2) unstable; urgency=low

  * added support for secvpn trees

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Fri, 21 Jul 2000 10:08:25 +0200

secvpn (1-1) unstable; urgency=low

  * Initial release.

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Mon, 17 Apr 2000 09:20:33 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: secvpn
Section: non-US/main
Priority: optional
Maintainer: Bernd Schumacher <bernd_schumacher@hp.com>
Standards-Version: 3.5.2
Build-Depends-Indep: debhelper (>> 3.0.0)

Package: secvpn
Architecture: all
Depends: bc, ssh, ppp, timeout
Description: Secure Virtual Private Network (secvpn)
 builds a VPN based on ssh and ppp as described in the 
 Linux VPN HOWTO. (Please look there for further 
 informations) All necessary routing on the secvpn 
 hosts will be done by secvpn. Secvpn will try to 
 reestablish broken connections automatically.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/secvpn.sgml > secvpn.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/secvpn.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/secvpn


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## secvpn 2.15

=== debian/changelog ===
secvpn (2.15) unstable; urgency=low

  * Applied documentation patch, to explain a few more things, from
    Jeronimo Pellegrini <pellegrini@mpcnet.com.br>. Closes: #234679 
  * Corrected non-conforming description with patch from
    Matej Vela <mvela@irb.hr>. Closes: #235619
  * /etc/init.d/secvpn is renamed to /etc/init.d/secvpnmon to make
    clear that it only starts and stops the monitor of secvpn. Now it
    is clear that "/etc/init.d/secvpnmon stop" won't terminate vpn 
    connections. This closes the bugreport from Tomas Pospisek 
    <tpo_deb@sourcepole.ch>. Closes: #223616

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue,  2 Mar 2004 17:19:32 +0100

secvpn (2.14) unstable; urgency=low

  * Resolved problem: Minor description "bugs". Closes: #193500
  * To check, if secvpn is running, it is not only checked,
    that the remote tunnel ip can be reached over a ppp connection, 
    as in earlier versions, but it is also checked, that the 
    correct ppp connection is used.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon,  2 Jun 2003 10:58:30 +0200

secvpn (2.13) unstable; urgency=low

  * using /usr/share/secvpn instead of /usr/lib.
  * changed section from non-us to net.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu, 17 Apr 2003 17:03:29 +0200

secvpn (2.12) unstable; urgency=low

  * Added explanation in example config /etc/secvpn.conf: 
    "... Change all occurances of secvpn1, secvpn2 
    in this file to the hostnames of your systems ..." Closes: #161463 

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Sun,  6 Oct 2002 11:30:25 +0200

=== debian/control ===
Source: secvpn
Section: net
Priority: optional
Maintainer: Bernd Schumacher <bernd_schumacher@hp.com>
Standards-Version: 3.5.2
Build-Depends-Indep: debhelper (>> 3.0.0)

Package: secvpn
Architecture: all
Depends: bc, ssh, ppp, timeout
Description: Secure Virtual Private Network
 secvpn builds a VPN based on ssh and ppp as described
 in the Linux VPN HOWTO. (Please look there for further 
 information) All necessary routing on the secvpn 
 hosts will be done by secvpn. Secvpn will try to 
 reestablish broken connections automatically.

=== debian/rules ===
--- 
+++ 
@@ -62,7 +62,7 @@
 #	dh_installemacsen
 #	dh_installpam
 #	dh_installmime
-	dh_installinit
+	dh_installinit --name secvpnmon
 	dh_installcron
 	dh_installman
 	dh_installinfo

## secvpn 2.19

=== debian/changelog ===
secvpn (2.19) unstable; urgency=low

  * sudo patch from Yaroslav Halchenko <debian@onerussian.com> added, to
  let pppd and its secvpnmon run via sudo. Closes: #274981

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Wed, 23 Feb 2005 15:03:58 +0100

secvpn (2.18) unstable; urgency=low

  * Remote node is first checked via ping before trying to setup connection
    (can be disabled via secvpn.conf)

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Wed,  6 Oct 2004 13:10:39 +0200

secvpn (2.17) unstable; urgency=low

  * Changed start/stop priority to 22

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 04 Oct 2004 11:00:00 +0100

secvpn (2.16) unstable; urgency=low

  * Added option '-once' to secvpnmon
  * Added call to 'secvpnmon -once' to '/etc/init.d/secvpn start'

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Wed, 18 Aug 2004 12:00:00 +0100

=== debian/control ===
Source: secvpn
Section: net
Priority: optional
Maintainer: Bernd Schumacher <bernd.schumacher@hp.com>
Build-Depends: debhelper (>= 4)
Build-Depends-Indep: debhelper (>= 4)
Standards-Version: 3.6.1

Package: secvpn
Architecture: all
Depends: bc, ssh, ppp, timeout, sudo
Description: Secure Virtual Private Network
 secvpn builds a VPN based on ssh and ppp as described
 in the Linux VPN HOWTO. (Please look there for further 
 information) All necessary routing on the secvpn 
 hosts will be done by secvpn. Secvpn will try to 
 reestablish broken connections automatically.

## secvpn 2.20

=== debian/changelog ===
secvpn (2.20) unstable; urgency=low

  * Fixed Bug "secvpn doesn't install when user $HOME's not directly under
    /home/" reported by . Closes: #302444

  * Carsten Dinkelmann <Carsten.Dinkelmann@foobar-cpa.de> fixed problem 
    with DO_PING=true in secvpnmon

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Wed,  6 Apr 2005 14:28:12 +0200

## secvpn 2.21

=== Makefile ===
--- 
+++ 
@@ -14,4 +14,4 @@
 	@cp $(USRSBINS) $(DESTDIR)/usr/sbin/
 	@cp ${ETCS} ${DESTDIR}/etc/network/
 	@for i in ${ETCS}; do chmod 600 ${DESTDIR}/etc/network/$${i}; done
-	@cp ${LIBS} ${DESTDIR}/usr/lib/
+	@cp ${LIBS} ${DESTDIR}/usr/share/secvpn/

=== debian/changelog ===
secvpn (2.21) unstable; urgency=low

  * Fixed Bug "secvpn: fails to purge if perl-modules is not installed".
    Closes: #431947 

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Fri, 31 Aug 2007 10:43:10 +0200

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	#-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/secvpn.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/secvpn

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
	dh_installinit -u"defaults 22" --name secvpnmon
	dh_installcron
#	dh_installinfo
#	dh_undocumented
	dh_installman
	dh_link
	dh_strip
	dh_compress usr/share/doc/secvpn/ChangeLog
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## secvpn 2.21+nmu1

=== debian/changelog ===
secvpn (2.21+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Added LSB formatted dependency info in init.d script (closes: #469753)
  * Changed /usr/sbin/secvpn to use bash because it is full of bashisms
    (closes: #473692)

 -- Peter Eisentraut <petere@debian.org>  Fri, 04 Apr 2008 14:34:45 +0200

## secvpn 2.22

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,7 @@
 all:
 
 clean:
+	@rm -f debian/files
 
 install:
 	@cp -r $(DOCS) $(DESTDIR)/usr/share/doc/secvpn

=== debian/changelog ===
secvpn (2.22) unstable; urgency=low

  * Now it can be installed in chroot. (closes: #551979)
  * debian/compat=7
  * Again using /bin/sh instead of /bin/bash, after fixing bashism

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Fri, 23 Oct 2009 17:52:30 +0200

=== debian/control ===
Source: secvpn
Section: net
Priority: optional
Maintainer: Bernd Schumacher <bernd.schumacher@hp.com>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.7.3

Package: secvpn
Architecture: all
Depends: adduser, bc, ssh, ppp, timeout|coreutils (>=7.5-1), sudo, ${misc:Depends}
Description: Secure Virtual Private Network
 secvpn builds a VPN based on ssh and ppp as described
 in the Linux VPN HOWTO. (Please look there for further 
 information) All necessary routing on the secvpn 
 hosts will be done by secvpn. Secvpn will try to 
 reestablish broken connections automatically.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/secvpn.sgml > secvpn.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_prep

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/secvpn.
	$(MAKE) DESTDIR=$(CURDIR)/debian/secvpn install


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
	dh_installinit -u"defaults 22" --name secvpnmon
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## secvpn 2.23

=== debian/changelog ===
secvpn (2.23) unstable; urgency=low

  * changed source from alioth.debian.org cvs to svn
  * changed to new debhelper version
  * corrected lintian warnings

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 10 Oct 2011 09:26:28 +0200

## secvpn 2.24

=== Makefile ===
# secvpn Makefile  

USRSBINS= secvpnmon secvpn
ETCS=     secvpn.conf
LIBS=     secvpn.lib
DOCS=	  commercial examples tcp-over-tcp

all:

clean:
	@rm -f debian/files

install:
	@for i in ${DOCS}; do cp doc/$${i}/* ${DESTDIR}/usr/share/doc/secvpn/$${i}; done
	@cp $(USRSBINS) $(DESTDIR)/usr/sbin/
	@cp ${ETCS} ${DESTDIR}/etc/network/
	@for i in ${ETCS}; do chmod 600 ${DESTDIR}/etc/network/$${i}; done
	@cp ${LIBS} ${DESTDIR}/usr/share/secvpn/

=== debian/changelog ===
secvpn (2.24) unstable; urgency=low

  * secvpn does no longer modify /etc/sudoers, instead a hint is added to the
    manpage secvpn(1), that this has be done by the user. Closes: #656084

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue, 17 Jan 2012 10:48:09 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Bernd Schumacher <bernd.schumacher@hp.com>
-Build-Depends: debhelper (>= 7)
-Standards-Version: 3.7.3
+Build-Depends: debhelper (>= 8.0.0)
+Standards-Version: 3.9.1
 
 Package: secvpn
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_installinit:
	dh_installinit -u"defaults 22" --name secvpnmon
